<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/15/2008 *
 * ===============                              Last change: 10/15/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : js.php                                           *
 * -------------------------------------------------------------------- *
 * Short description : Image code for multi-purposes                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Code-Bild fuer verschiedene Zwecke               *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Deactivate caching system in fake-CSS mode
define('_OB_CACHING', "old");

// Load security stuff here (Oh, I hope this is not unsecure? Am I paranoia??? ;-) )
require_once("inc/libs/security_functions.php");

// Init "action" and "what"
global $what, $action;
$GLOBALS['what'] = ""; $GLOBALS['action'] = "";

// This is a fake-CSS file loader, more a JavaScript loader...
// This is in one way good and in one not. The whole reset part will be
// by-passed even in this "faked" CSS mode. The bad news is that this makes all
// JS calls on this script to CSS calls. So no real "request" like in MVC
// pattern is given...
//
// But mxchange 0.3.0 will show that in better way! :D :D :D
$CSS = "1"; $GLOBALS['module'] = "js";

// Load the required file(s)
require("inc/config.php");

// Is this script installed and a JavaScript tag is provied?
if ((isBooleanConstantAndTrue('mxchange_installed')) && (isset($_GET['tag']))) {
	// Set header
	@header("Content-type: text/javascript");

	// Load header
	require_once(PATH."inc/header.php");

	// Prepare include file for looking
	$fqfn = sprintf("%sinc/js/tag-%s.php",
		PATH,
		SQL_ESCAPE($_GET['tag'])
	);

	// Is that file readable?
	if (FILE_READABLE($fqfn)) {
		// Include it
		require_once($fqfn);
	} // END - if 

	// Load footer
	require_once(PATH."inc/footer.php");
} // END - if

//
?>
